AnyEvent::FTP::Client::Site::Microsoft(3pm)

NAME
AnyEvent::FTP::Client::Site::Microsoft - Site specific commands for Microsoft FTP Service

VERSION
version 0.20

SYNOPSIS
 use AnyEvent::FTP::Client;
 my $client = AnyEvent::FTP::Client->new;
 $client->connect('ftp://iisserver')->cb(sub {
   # toggle dir style
   $client->site->microsoft->dirstyle->cb(sub {

     $client->list->cb(sub {
       my $list = shift
       # $list is in first style.

       $client->site->microsoft->dirstyle->cb(sub {

         $client->list->cb(sub {
           my $list = shift;
           # list is in second style.
         });

       });
     });

   });
 });

DESCRIPTION
This class provides Microsoft's IIS SITE commands.

METHODS

  dirstyle
 $client->site->microsoft->dirstyle

Toggle between directory listing output styles.

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.